Bug 181783 - prelink writes files to /var/lib/misc which is hard to lock down by selinux
Summary: prelink writes files to /var/lib/misc which is hard to lock down by selinux
Status: CLOSED DUPLICATE of bug 194473
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-16 15:55 UTC by Daniel Walsh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 10:24:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Walsh 2006-02-16 15:55:37 UTC
Description of problem:
Since this directory is not owned by prelink, it is hard to add a security
context to it.  In MLS/Strict policy we lock down crond, so it is not allowed to
write to var_lib_t.  If these files were in /var/lib/prelink (Or some other
directory prelink could own) we could label that prelink_var_lib_t and allow
cron to update it.

Comment 1 Jakub Jelinek 2006-08-08 10:24:35 UTC

*** This bug has been marked as a duplicate of 194473 ***


Note You need to log in before you can comment on or make changes to this bug.